(defun C:BET1-update ( / sset newval tag oBlock att)
 (princ "\nSelect blocks with attributes: ") ; prompt user
 (setq sset (ssget '((0 . "INSERT")(66 . 1)))) ; allow selection of only blocks with attributes
  (cond
    (sset ;If a selection has been created
      (if (not *BET1val*) (setq *BET1val* "-XDA002")) ; set default value
      (setq newval (getstring (strcat "\nNew value for BET1 <" *BET1val* ">: "))) ; prompt for new value
      (if (/= newval "") (setq *BET1val* newval)) ; save the new value if provided
      (setq tag "BET1") ; Attribute tag we want to update
      ; foreach block in our selection set
      (foreach oBlock (mapcar 'vlax-ename->vla-object (vle-selectionset->list sset))
        (foreach att (vlax-invoke oBlock 'getattributes)  ; iterate through each of the blocks attributes
          (setq tagnm (strcase (vla-get-tagstring att))) ; retrieve the attributes tag name
          (cond
            ((= tagnm (strcase tag)) ;If the tag name matches the one we are looking for
             (vla-put-TextString att *BET1val*); update the tag with the new value
            )
          )
        )
      )
    )
  )
 (prin1)
)
